Function
swap
Swaps the contents of two values.
swap(left, right)
Include Headers
seqan/sequence.h
Parameters

left | The first value. Types: String, StringSet
right | The second value. Types: String, StringSet

Remarks
The function swaps the values of variables left and right. This is equivalent to using move three times with a temporary variable. Note that this function has the same name as the STL function std::swap but is in a different namespace. Argument Dependent Lookup (ADL, aka Koenig lookup) will take care that the right swap function is called from STL sort, for example. We only specialize it for Class.String and Class.StringSet.
See Also
move
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:49